Package javax.security.auth.message.callback

## Class PrivateKeyCallback.AliasRequest

- java.lang.Object
- - javax.security.auth.message.callback.PrivateKeyCallback.AliasRequest

All Implemented Interfaces:
  `PrivateKeyCallback.Request`

Enclosing class:
  PrivateKeyCallback

    public static class PrivateKeyCallback.AliasRequest
    extends java.lang.Object
    implements PrivateKeyCallback.Request

### Constructor Summary

Constructors
`AliasRequest​(java.lang.String alias)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAlias()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AliasRequest

    public AliasRequest​(java.lang.String alias)

### Method Detail

#### getAlias

    public java.lang.String getAlias()